Bug 1113968 - Glyph for 0960 Devanagari Letter Vocalic RR should be corrected
Summary: Glyph for 0960 Devanagari Letter Vocalic RR should be corrected
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lohit-devanagari-fonts
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pravin Satpute
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-27 11:12 UTC by Shriramana Sharma
Modified: 2015-03-30 07:08 UTC (History)
3 users (show)

Fixed In Version: lohit-devanagari-fonts-2.95.1-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-30 07:08:40 UTC


Attachments (Terms of Use)
Replacement glyph and ODT/PDF demonstrating change (43.52 KB, application/zip)
2014-06-27 11:12 UTC, Shriramana Sharma
no flags Details

Description Shriramana Sharma 2014-06-27 11:12:25 UTC
Created attachment 912765 [details]
Replacement glyph and ODT/PDF demonstrating change

Description of problem:

Currently the glyph for 0960 Devanagari Letter Vocalic RR (double RR) in Lohit Devanagari is similar to glyph for 090B Devanagari Letter Vocalic R (single R) from Unicode Devanagari Chart http://www.unicode.org/charts/PDF/U0900.pdf. Reference code chart for correct glyph of 0960. Please see attached PDF document for comparison with Sanskrit 2003 and Windows XP Mangal font.

As seen in Unicode chart and other fonts, the correct glyph of 0960 should have two hooks at bottom right to differentiate from 090B. 090B can either have one hook as seen in code chart and other fonts, or just a belly with no hook at all as seen in current Lohit Devanagari.

To be more clearer, while the glyph for 090B in code chart and other fonts is shown with one hook, the form shown by current Lohit Devanagari for 090B is also acceptable as a glyphic variant. However, the glyph variant of 090B with one hook should not be used for 0960.

Hence the current glyph of 0960 in Lohit Devanagari should be corrected.

I have devised a replacement glyph for 0960 showing two hooks as per the code chart as well as in line with other fonts. (Glyph for 090B need not be replaced as the current glyph is an acceptable variant.)

Please replace the current Lohit Devanagari 0960 glyph with this new glyph. Thank you.

Comment 1 Pravin Satpute 2015-03-03 12:46:39 UTC
Thanks for patch. I have update this in git https://github.com/pravins/lohit/commit/e369639659cdf2a58613caa2b2a440fb77e403d4

Will be available with next release.

Comment 2 Jaroslav Reznik 2015-03-03 17:02:34 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 3 Fedora Update System 2015-03-25 08:04:58 UTC
lohit-devanagari-fonts-2.95.1-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/lohit-devanagari-fonts-2.95.1-1.fc22

Comment 4 Fedora Update System 2015-03-29 04:43:33 UTC
Package lohit-devanagari-fonts-2.95.1-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lohit-devanagari-fonts-2.95.1-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-4868/lohit-devanagari-fonts-2.95.1-1.fc22
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-03-30 07:08:40 UTC
lohit-devanagari-fonts-2.95.1-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.